Solved Worldgaurd

Discussion in 'Spigot Help' started by Ender_King9998, May 29, 2018.

  1. to put it simply
    Worldgaurd wont work...
    Like i have a spawn defined but my alt can build in the spawn (alt isnt opped)
    [WARNING] [WorldGuard] WorldGuard encountered an unexpected error



    java.lang.NoSuchMethodError: com.google.common.base.Preconditions.checkState(ZLjava/lang/String;Ljava/lang/Object;)V



    at com.sk89q.worldguard.internal.guava.util.concurrent.Futures.getDone(Futures.java:1170) ~[worldguard-6.2.1.jar:?]



    at com.sk89q.worldguard.internal.guava.util.concurrent.Futures$4.run(Futures.java:1121) [worldguard-6.2.1.jar:?]



    at com.sk89q.worldguard.internal.guava.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:435) [worldguard-6.2.1.jar:?]



    at com.sk89q.worldguard.internal.guava.util.concurrent.AbstractFuture.executeListener(AbstractFuture.java:900) [worldguard-6.2.1.jar:?]



    at com.sk89q.worldguard.internal.guava.util.concurrent.AbstractFuture.complete(AbstractFuture.java:811) [worldguard-6.2.1.jar:?]



    at com.sk89q.worldguard.internal.guava.util.concurrent.AbstractFuture.set(AbstractFuture.java:653) [worldguard-6.2.1.jar:?]



    at com.sk89q.worldguard.internal.guava.util.concurrent.TrustedListenableFutureTask$TrustedFutureInterruptibleTask.runInterruptibly(TrustedListenableFutureTask.java:111) [worldguard-6.2.1.jar:?]



    at com.sk89q.worldguard.internal.guava.util.concurrent.InterruptibleTask.run(InterruptibleTask.java:58) [worldguard-6.2.1.jar:?]



    at com.sk89q.worldguard.internal.guava.util.concurrent.TrustedListenableFutureTask.run(TrustedListenableFutureTask.java:75) [worldguard-6.2.1.jar:?]



    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_172]



    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_172]



    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_172]

    Could it be that i removed essentialsantibuild?
    if it is what is that permission that stops it from "you are not permitted to use X"
     
  2. WorldGuard does not depend on EssentialsAntiBuild.

    I'm not sure what that error is but did you set the correct flags to make it so people can not build there?
     
  3. i did the flags
    needed antibuild appereantly
    and added modifyworld.* to default
    all fixed